﻿''' <summary>
''' バージョン情報
''' </summary>
''' <remarks></remarks>
Public Class FormAbout

    Private Sub FormAbout_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        '=== フォーム設定 ===
        Me.Icon = My.Resources.Main
        lblTitle.Text = "「" & My.Application.Info.Title & "」"
        lblVersion.Text = "Version " & My.Application.Info.Version.ToString
        lblCopyright.Text = My.Application.Info.Copyright

        With lnkCompanyName
            Dim linkText As String = "Web Site"
            .Text = My.Application.Info.CompanyName & " (" & linkText & ")"
            .Links.Add(.Text.IndexOf(linkText), linkText.Length, "http://digitalian.webcrow.jp/")
        End With

    End Sub

    Private Sub picLogo_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles picLogo.Paint

        '=== アイコン描画 ===
        e.Graphics.DrawIcon(Me.Icon, 0, 0)

    End Sub

    Private Sub lnkCompanyName_LinkClicked(sender As System.Object, e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkCompanyName.LinkClicked

        If MessageBox.Show("既定のブラウザで公式ウェブサイトを表示します。" & vbCrLf & e.Link.LinkData, Me.Text, MessageBoxButtons.OKCancel, MessageBoxIcon.Information, MessageBoxDefaultButton.Button2) = Windows.Forms.DialogResult.OK Then

            '=== Web Siteを開く ===
            Try
                System.Diagnostics.Process.Start(e.Link.LinkData)
                e.Link.Visited = True '訪問済み
            Catch ex As Exception
                MessageBox.Show("表示に失敗しました。" & vbCrLf & vbCrLf & ex.Message, Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Error)
            End Try

        End If

    End Sub

End Class
