﻿''' <summary>
''' 情報パネル ～ 派生クラス：五色豆
''' </summary>
''' <remarks></remarks>
Public Class FormInfoPanel_Mini

    Inherits FormInfoPanel_Base

    Public Sub New()

        '=== 不要項目の整理 ===
        lblLocate.Dispose()
        lblMath.Dispose()

    End Sub

    Protected Overrides Sub LabelArrange()

        '=== 表示位置設定 ===
        Me.SuspendLayout()

        LabelDisposition(lblAlpha)
        LabelDisposition(lblRed, lblAlpha, ContentAlignment.MiddleRight)
        LabelDisposition(lblGreen, lblRed, ContentAlignment.MiddleRight)
        LabelDisposition(lblBlue, lblGreen, ContentAlignment.MiddleRight)
        LabelDisposition(lblRelative, lblAlpha, ContentAlignment.BottomCenter)

        Me.ResumeLayout()

    End Sub

    Public Overrides Sub PrintParameter(Locate As Point, ColorCode As Integer)

        '=== 情報表示 ===
        Dim argbFormat As String = "{0:X2}"
        Dim argb() As Byte = FormMain_Viewer.SplitARGB(ColorCode)
        lblAlpha.Text = String.Format(argbFormat, argb(0))
        lblRed.Text = String.Format(argbFormat, argb(1))
        lblGreen.Text = String.Format(argbFormat, argb(2))
        lblBlue.Text = String.Format(argbFormat, argb(3))

        Locate = CovertLocate(ResumeData.CardinalPoint, Locate)
        lblRelative.Text = String.Format("{0,5:+###0;-###0;0},{1,5:+###0;-###0;0}", Locate.X, Locate.Y)

    End Sub

End Class
